#[CURSE OF BLOODLUST]

#bl_death - Remove effect upon death
execute as @a[scores={bl_death=1..}] run scoreboard players reset @s bl_duration
execute as @a[scores={bl_death=1..}] run scoreboard players reset @s bl_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={bl_useMilk=1..}] run scoreboard players reset @s bl_duration
execute as @a[scores={bl_useMilk=1..}] run scoreboard players reset @s bl_useMilk

#bl_splash - Spash potion
execute as @e[type=item,nbt={Item:{tag:{splash_bl:cursed}},OnGround:1b}] at @s run function cursedp:bl/bl_splash

#sl_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdBL3 0
scoreboard players set @a holdBL5 0
#
execute as @a[tag=holdBL3,scores={bl_usePotion=1..}] unless entity @s[scores={bl_duration=3600..}] run scoreboard players set @s bl_duration 3600
execute as @a[tag=holdBL5,scores={bl_usePotion=1..}] unless entity @s[scores={bl_duration=6000..}] run scoreboard players set @s bl_duration 6000
execute as @e if entity @s[scores={bl_duration=1..}] run tag @s add cursed_bl
execute as @e if entity @s[scores={bl_duration=1..}] run scoreboard players remove @s bl_duration 1
execute as @e unless entity @s[scores={bl_duration=1..}] run tag @s remove cursed_bl
execute as @e unless entity @s[scores={bl_duration=1..}] run scoreboard players reset @s bl_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{bl:cursed,bl_dur:3}}}] run scoreboard players set @s holdBL3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{bl:cursed,bl_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdBL3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{bl:cursed,bl_dur:5}}}] run scoreboard players set @s holdBL5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{bl:cursed,bl_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdBL5 1
execute as @a[scores={holdBL3=1..}] run tag @s add holdBL3
execute as @a[scores={holdBL5=1..}] run tag @s add holdBL5
#
execute as @a[scores={holdBL3=0}] run tag @s remove holdBL3
execute as @a[scores={holdBL5=0}] run tag @s remove holdBL5
execute as @a[scores={bl_usePotion=1..}] run scoreboard players reset @s bl_usePotion

#bl_eat
function cursedp:bl/bl_eat
function cursedp:bl/reset_eat

#bl_hunger
execute as @a[tag=cursed_bl] run function cursedp:bl/bl_hunger

#bl_strength
execute as @e[tag=cursed_bl] run effect give @s[nbt={ActiveEffects:[{Id:5b,Amplifier:0b,Duration:20}]}] strength 3 0 true
execute as @e[tag=cursed_bl] run effect give @s[nbt=!{ActiveEffects:[{Id:5b,Amplifier:0b}]}] strength 3 0 true

#bl_kill
execute as @a[tag=cursed_bl] run function cursedp:bl/bl_kill
function cursedp:bl/reset_kill