#[CURSE OF THE GOLDEN TOUCH]

#Tag Small_Entity
scoreboard players reset @s mobAge
execute as @e store result score @s mobAge run data get entity @s Age
tag @e[tag=!gt_ingot] remove gt_ingot
tag @e[type=minecraft:silverfish,tag=!gt_ingot] add gt_ingot
tag @e[type=minecraft:endermite,tag=!gt_ingot] add gt_ingot
tag @e[scores={mobAge=..-1},tag=!gt_ingot] add gt_ingot
tag @e[type=armor_stand,nbt={Small:1b},tag=!gt_ingot] add gt_ingot
tag @e[nbt={IsBaby:1b},tag=!gt_ingot] add gt_ingot

#Tag Items Unaffected by Curse
execute as @e[type=item,nbt={Item:{id:"minecraft:potion",Count:1b,tag:{CustomModelData:589541}}}] run tag @s add unturnIngot
execute as @e[type=item,nbt={Item:{id:"minecraft:potion",Count:1b,tag:{CustomModelData:589542}}}] run tag @s add unturnIngot
execute as @e[type=item,nbt={Item:{id:"minecraft:gold_block"}}] run tag @s add unturnIngot

#Place Goldentity (Armor Stand) has been changed to (Gold Block)

#gt_death - Remove effect upon death
execute as @a[scores={gt_death=1..}] run scoreboard players reset @s gt_duration
execute as @a[scores={gt_death=1..}] run scoreboard players reset @s gt_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={gt_useMilk=1..}] run scoreboard players reset @s gt_duration
execute as @a[scores={gt_useMilk=1..}] run scoreboard players reset @s gt_useMilk

#gt_splash - Splash potion
execute as @e[nbt={Item:{tag:{splash_gt:cursed}},OnGround:1b}] at @s run function cursedp:gt/gt_splash

#gt_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdGT3 0
scoreboard players set @a holdGT5 0
#
execute as @a[tag=holdGT3,scores={gt_usePotion=1..}] unless entity @s[scores={gt_duration=3600..}] run scoreboard players set @s gt_duration 3600
execute as @a[tag=holdGT5,scores={gt_usePotion=1..}] unless entity @s[scores={gt_duration=6000..}] run scoreboard players set @s gt_duration 6000
execute as @e if entity @s[scores={gt_duration=1..}] run tag @s add cursed_gt
execute as @e if entity @s[scores={gt_duration=1..}] run scoreboard players remove @s gt_duration 1
execute as @e unless entity @s[scores={gt_duration=1..}] run tag @s remove cursed_gt
execute as @e unless entity @s[scores={gt_duration=1..}] run scoreboard players reset @s gt_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{gt:cursed,gt_dur:3}}}] run scoreboard players set @s holdGT3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{gt:cursed,gt_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdGT3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{gt:cursed,gt_dur:5}}}] run scoreboard players set @s holdGT5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{gt:cursed,gt_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdGT5 1
execute as @a[scores={holdGT3=1..}] run tag @s add holdGT3
execute as @a[scores={holdGT5=1..}] run tag @s add holdGT5
#
execute as @a[scores={holdGT3=0}] run tag @s remove holdGT3
execute as @a[scores={holdGT5=0}] run tag @s remove holdGT5
execute as @a[scores={gt_usePotion=1..}] run scoreboard players reset @s gt_usePotion

#gt_touchgold - Potion effects
execute as @e[tag=cursed_gt] at @s run function cursedp:gt/gt_touchgold

#(Replace Held Items - Player)
execute as @a[tag=cursed_gt] run function cursedp:gt/rep_helditem

#(Replace Armor - Player)
execute as @a[tag=cursed_gt] run function cursedp:gt/rep_armor

#(Replace Held Items - Mobs)
execute as @e[tag=cursed_gt,type=!player] run function cursedp:gt/rep_handitems

#(Replace Armor - Mobs)
execute as @e[tag=cursed_gt,type=!player] run function cursedp:gt/rep_entarmor

#(Punch - Player)
execute at @e[tag=cursed_gt,type=player,scores={gt_dmgdealt=1..}] as @e[tag=!gt_ingot,nbt={HurtTime:10s},distance=..5,sort=nearest] at @s run function cursedp:gt/gt_goldentity
execute at @e[tag=cursed_gt,type=player,scores={gt_dmgdealt=1..}] as @e[tag=gt_ingot,nbt={HurtTime:10s},distance=..5,sort=nearest] at @s run function cursedp:gt/gt_sgoldentity
execute as @e[scores={gt_dmgdealt=1..}] run scoreboard players reset @s gt_dmgdealt