#[CURSE OF THE UNDEAD]

#ud_death - Remove effect upon death
execute as @a[scores={ud_death=1..}] run scoreboard players reset @s ud_duration
execute as @a[scores={ud_death=1..}] run scoreboard players reset @s ud_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={ud_useMilk=1..}] run scoreboard players reset @s ud_duration
execute as @a[scores={ud_useMilk=1..}] run scoreboard players reset @s ud_useMilk

#ud_splash - Spash potion
execute as @e[type=item,nbt={Item:{tag:{splash_ud:cursed}},OnGround:1b}] at @s run function cursedp:ud/ud_splash

#ud_team - hostile
function cursedp:ud/ud_team

#ud_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdUD3 0
scoreboard players set @a holdUD5 0
#
execute as @a[tag=holdUD3,scores={ud_usePotion=1..}] unless entity @s[scores={ud_duration=3600..}] run scoreboard players set @s ud_duration 3600
execute as @a[tag=holdUD5,scores={ud_usePotion=1..}] unless entity @s[scores={ud_duration=6000..}] run scoreboard players set @s ud_duration 6000
execute as @e if entity @s[scores={ud_duration=1..}] run tag @s add cursed_ud
execute as @e if entity @s[scores={ud_duration=1..}] run scoreboard players remove @s ud_duration 1
execute as @e unless entity @s[scores={ud_duration=1..}] run tag @s remove cursed_ud
execute as @e unless entity @s[scores={ud_duration=1..}] run scoreboard players reset @s ud_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{ud:cursed,ud_dur:3}}}] run scoreboard players set @s holdUD3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{ud:cursed,ud_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdUD3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{ud:cursed,ud_dur:5}}}] run scoreboard players set @s holdUD5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{ud:cursed,ud_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdUD5 1
execute as @a[scores={holdUD3=1..}] run tag @s add holdUD3
execute as @a[scores={holdUD5=1..}] run tag @s add holdUD5
#
execute as @a[scores={holdUD3=0}] run tag @s remove holdUD3
execute as @a[scores={holdUD5=0}] run tag @s remove holdUD5
execute as @a[scores={ud_usePotion=1..}] run scoreboard players reset @s ud_usePotion

#ud_night
execute as @e[tag=cursed_ud] if predicate lorep:night run effect give @s strength 2 0 true

#ud_angrygolem
execute at @e[tag=cursed_ud] as @e[distance=0.01..10,type=minecraft:iron_golem] at @s run data modify entity @s AngryAt set from entity @e[limit=1,sort=nearest,distance=0.01..10,tag=cursed_ud,tag=!unmob] UUID

#ud_jointeam
execute as @e[tag=cursed_ud,team=!lorep_hostile] run team join lorep_hostile
execute as @e[tag=!cursed_ud,tag=!hostile,team=lorep_hostile] run team leave @s

#zombie baby stand !JOJO! - scared villagers
execute as @a[tag=cursed_ud,gamemode=!spectator] at @s rotated ~0 0 positioned ^ ^1 ^-1 unless entity @e[tag=ud_repel,type=zombie,distance=..1] run summon zombie ~ ~ ~ {Tags:["ud_repel"],NoAI:1b,IsBaby:1b,Silent:1b,DeathLootTable:"minecraft:empty"}
execute as @e[tag=cursed_ud,type=!iron_golem,type=!zombie,type=!zombie_villager,type=!husk,type=!player] at @s rotated ~0 0 positioned ^ ^1 ^-1 unless entity @e[tag=ud_repel,type=zombie,distance=..1] run summon zombie ~ ~ ~ {Tags:["ud_repel"],NoAI:1b,IsBaby:1b,Silent:1b,DeathLootTable:"minecraft:empty"}

execute as @e[tag=ud_repel,type=zombie] run scoreboard players set @s ud_repel 0
execute as @a[tag=cursed_ud,gamemode=!spectator] at @s rotated ~0 0 positioned ^ ^1 ^-1 as @e[tag=ud_repel,type=zombie,distance=..1,limit=1,sort=nearest] run scoreboard players set @s ud_repel 1
execute as @e[tag=cursed_ud,type=!iron_golem,type=!zombie,type=!zombie_villager,type=!husk,type=!player] at @s rotated ~0 0 positioned ^ ^1 ^-1 as @e[tag=ud_repel,type=zombie,distance=..1,limit=1,sort=nearest] run scoreboard players set @s ud_repel 1

execute at @e[tag=cursed_ud,type=!iron_golem,type=!zombie,type=!zombie_villager,type=!husk] rotated ~0 0 positioned ^ ^1 ^-1 as @e[tag=ud_repel,type=zombie,distance=..2,scores={ud_repel=1},limit=1,sort=nearest] run tp @s ~ ~ ~ facing ^ ^ ^1
execute as @e[tag=ud_repel,type=zombie,scores={ud_repel=0}] run tp @s ~ -999 ~

execute as @e[tag=ud_repel,type=zombie] run data merge entity @s {Health:20,Fire:0s}