#[BREWING TABLE]

#setup
execute as @e[type=item,nbt={Item:{id:"minecraft:brewing_stand",Count:1b}}] at @s if block ~ ~-1 ~ dropper{Items:[]} if block ~ ~ ~ air unless entity @e[type=armor_stand,tag=brewing_table,distance=..1] run function lorep:brew/brew_setup
execute as @e[type=item,nbt={Item:{id:"minecraft:brewing_stand",Count:1b}}] at @s if block ~ ~-1 ~ dropper{Items:[]} if block ~ ~ ~ water unless entity @e[type=armor_stand,tag=brewing_table,distance=..1] run function lorep:brew/brew_setup

#disabled slots
execute as @e[type=armor_stand,tag=brewing_table] at @s run replaceitem block ~ ~-1 ~ container.0 minecraft:gray_stained_glass_pane{display:{Name:'{"text":""}'}}
execute as @e[type=armor_stand,tag=brewing_table] at @s run replaceitem block ~ ~-1 ~ container.2 minecraft:gray_stained_glass_pane{display:{Name:'{"text":""}'}}
execute as @e[type=armor_stand,tag=brewing_table] at @s run replaceitem block ~ ~-1 ~ container.6 minecraft:gray_stained_glass_pane{display:{Name:'{"text":""}'}}
execute as @e[type=armor_stand,tag=brewing_table] at @s run replaceitem block ~ ~-1 ~ container.8 minecraft:gray_stained_glass_pane{display:{Name:'{"text":""}'}}
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_stained_glass_pane",tag:{display:{Name:'{"text":""}'}}}}] run kill @s
clear @a gray_stained_glass_pane{display:{Name:'{"text":""}'}}

#remove
execute as @e[type=armor_stand,tag=brewing_table] at @s unless block ~ ~-1 ~ dropper{CustomName:'{"text":"Brewing Table"}'} run summon item ~ ~ ~ {Item:{id:"minecraft:brewing_stand",Count:1b}}
execute as @e[type=armor_stand,tag=brewing_table] at @s unless block ~ ~-1 ~ dropper{CustomName:'{"text":"Brewing Table"}'} run kill @s

#set fuel
execute as @e[type=armor_stand,tag=brewing_table] unless entity @s[scores={brewFuel=0..}] run scoreboard players set @s brewFuel 0
#fix fuel
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=..0}] run scoreboard players set @s brewFuel 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=20..}] run scoreboard players set @s brewFuel 20
#brew_fuel - show fuel
execute as @e[type=armor_stand,tag=brewing_table] at @s if entity @a[distance=..4] run function lorep:brew/brew_fuel
execute as @e[type=armor_stand,tag=brewing_table] at @s unless entity @a[distance=..4] run data merge entity @s {CustomNameVisible:0b}
#brew_refuel - accept fuel
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=0}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:7b,id:"minecraft:blaze_powder"}]} run function lorep:brew/brew_refuel


#ingr_redstone - recipes for potions with redstone ingrendient
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] run scoreboard players set @s brew_redstone 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:1b,id:"minecraft:redstone"}]} run function lorep:ingr/ingr_redstone
#ingr_gunpowder - recipes for potions with gunpowder ingrendient
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] run scoreboard players set @s brew_gunpowder 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:1b,id:"minecraft:gunpowder"}]} run function lorep:ingr/ingr_gunpowder
#ingr_heartofsea - recipes for potions with 'heart of the sea' ingrendient
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] run scoreboard players set @s brew_heartofsea 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:1b,id:"minecraft:heart_of_the_sea"}]} run function lorep:ingr/ingr_heartofsea
#ingr_kelp - recipes for potions with kelp ingrendient
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] run scoreboard players set @s brew_kelp 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:1b,id:"minecraft:kelp"}]} run function lorep:ingr/ingr_kelp
#ingr_milk - recipes for potions with milk ingrendient
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] run scoreboard players set @s brew_milk 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewFuel=1..}] at @s if block ~ ~-1 ~ dropper{Items:[{Slot:1b,id:"minecraft:milk_bucket"}]} run function lorep:ingr/ingr_milk


#reset brew time
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_redstone=0,brew_gunpowder=0,brew_heartofsea=0,brew_kelp=0,brew_milk=0}] run scoreboard players set @s brewTime 0
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_redstone=0}] run scoreboard players reset @s brew_redstone
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_gunpowder=0}] run scoreboard players reset @s brew_gunpowder
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_heartofsea=0}] run scoreboard players reset @s brew_heartofsea
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_kelp=0}] run scoreboard players reset @s brew_kelp
execute as @e[type=armor_stand,tag=brewing_table] if entity @s[scores={brew_milk=0}] run scoreboard players reset @s brew_milk
#set brew time
execute as @e[type=armor_stand,tag=brewing_table] unless entity @s[scores={brewTime=0..}] run scoreboard players set @s brewTime 0
#fix fuel
execute as @e[type=armor_stand,tag=brewing_table,scores={brewTime=..0}] run scoreboard players set @s brewTime 0
execute as @e[type=armor_stand,tag=brewing_table,scores={brewTime=400..}] run scoreboard players set @s brewTime 400
#brew_time - show brew time
execute as @e[type=armor_stand,tag=brewing_table] run function lorep:brew/brew_time