#[MERFOLK]

#mf_death - Remove effect upon death
execute as @a[scores={mf_death=1..}] run scoreboard players reset @s mf_duration
execute as @a[scores={mf_death=1..}] run scoreboard players reset @s mf_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={mf_useMilk=1..}] run scoreboard players reset @s mf_duration
execute as @a[scores={mf_useMilk=1..}] run scoreboard players reset @s mf_useMilk

#mf_splash - Spash potion
execute as @e[nbt={Item:{tag:{splash_mf:lore}},OnGround:1b}] at @s run function lorep:mf/mf_splash

#mf_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdMF3 0
scoreboard players set @a holdMF5 0
#
execute as @a[tag=holdMF3,scores={mf_usePotion=1}] unless entity @s[scores={mf_duration=3600..}] run scoreboard players set @s mf_duration 3600
execute as @a[tag=holdMF5,scores={mf_usePotion=1}] unless entity @s[scores={mf_duration=6000..}] run scoreboard players set @s mf_duration 6000
execute as @e if entity @s[scores={mf_duration=1..}] run tag @s add lore_mf
execute as @e if entity @s[scores={mf_duration=1..}] run scoreboard players remove @s mf_duration 1
execute as @e unless entity @s[scores={mf_duration=1..}] run tag @s remove lore_mf
execute as @e unless entity @s[scores={mf_duration=1..}] run scoreboard players reset @s mf_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{mf:lore,mf_dur:3}}}] run scoreboard players set @s holdMF3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{mf:lore,mf_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdMF3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{mf:lore,mf_dur:5}}}] run scoreboard players set @s holdMF5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{mf:lore,mf_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdMF5 1
execute as @a[scores={holdMF3=1..}] run tag @s add holdMF3
execute as @a[scores={holdMF5=1..}] run tag @s add holdMF5
#
execute as @a[scores={holdMF3=0}] run tag @s remove holdMF3
execute as @a[scores={holdMF5=0}] run tag @s remove holdMF5
execute as @a[scores={mf_usePotion=1..}] run scoreboard players reset @s mf_usePotion

#mf_rain - Detects the rain
execute as @e[tag=lore_mf] if predicate lorep:rain run scoreboard players set @s mf_rain 1
execute as @e[tag=lore_mf] unless predicate lorep:rain run scoreboard players set @s mf_rain 0

#mf_water - Detect if under water
execute as @e[tag=lore_mf] at @s run function lorep:mf/mf_water
execute as @e[tag=!lore_mf] run scoreboard players reset @s mf_water
#mf_adapt - Merfolkize or not
execute as @e[tag=lore_mf] unless entity @s[scores={mf_water=1}] run scoreboard players set @s mf_adapt 0
execute as @e[tag=lore_mf] if entity @s[scores={mf_water=1}] run scoreboard players set @s mf_adapt 1
execute as @e[tag=!lore_mf] run scoreboard players reset @s mf_adapt
#
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt={ActiveEffects:[{Id:13b,Amplifier:0b,Duration:20}]}] water_breathing 3 0 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:13b,Amplifier:0b}]}] water_breathing 3 0 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt={ActiveEffects:[{Id:30b,Amplifier:2b,Duration:20}]}] dolphins_grace 3 2 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:30b,Amplifier:2b}]}] dolphins_grace 3 2 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt={ActiveEffects:[{Id:29b,Amplifier:0b,Duration:20}]}] conduit_power 3 0 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:29b,Amplifier:0b}]}] conduit_power 3 0 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt={ActiveEffects:[{Id:5b,Amplifier:0b,Duration:20}]}] strength 3 0 true
execute as @e[tag=lore_mf,scores={mf_adapt=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:5b,Amplifier:0b}]}] strength 3 0 true
execute as @e[tag=lore_mf,scores={mf_rain=1}] run effect give @s[nbt={ActiveEffects:[{Id:5b,Amplifier:0b,Duration:20}]}] strength 3 0 true
execute as @e[tag=lore_mf,scores={mf_rain=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:5b,Amplifier:0b}]}] strength 3 0 true