#[CURSE OF THE SUNLIGHT]

#sl_death - Remove effect upon death
execute as @a[scores={sl_death=1..}] run scoreboard players reset @s sl_duration
execute as @a[scores={sl_death=1..}] run scoreboard players reset @s sl_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={sl_useMilk=1..}] run scoreboard players reset @s sl_duration
execute as @a[scores={sl_useMilk=1..}] run scoreboard players reset @s sl_useMilk

#sl_splash - Spash potion
execute as @e[type=item,nbt={Item:{tag:{splash_sl:cursed}},OnGround:1b}] at @s run function cursedp:sl/sl_splash

#sl_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdSL3 0
scoreboard players set @a holdSL5 0
#
execute as @a[tag=holdSL3,scores={sl_usePotion=1..}] unless entity @s[scores={sl_duration=3600..}] run scoreboard players set @s sl_duration 3600
execute as @a[tag=holdSL5,scores={sl_usePotion=1..}] unless entity @s[scores={sl_duration=6000..}] run scoreboard players set @s sl_duration 6000
execute as @e if entity @s[scores={sl_duration=1..}] run tag @s add cursed_sl
execute as @e if entity @s[scores={sl_duration=1..}] run scoreboard players remove @s sl_duration 1
execute as @e unless entity @s[scores={sl_duration=1..}] run tag @s remove cursed_sl
execute as @e unless entity @s[scores={sl_duration=1..}] run scoreboard players reset @s sl_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{sl:cursed,sl_dur:3}}}] run scoreboard players set @s holdSL3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{sl:cursed,sl_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdSL3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{sl:cursed,sl_dur:5}}}] run scoreboard players set @s holdSL5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{sl:cursed,sl_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdSL5 1
execute as @a[scores={holdSL3=1..}] run tag @s add holdSL3
execute as @a[scores={holdSL5=1..}] run tag @s add holdSL5
#
execute as @a[scores={holdSL3=0}] run tag @s remove holdSL3
execute as @a[scores={holdSL5=0}] run tag @s remove holdSL5
execute as @a[scores={sl_usePotion=1..}] run scoreboard players reset @s sl_usePotion

#sl_sunlight - Detect if under the sunlight
execute as @e[tag=cursed_sl] at @s run function cursedp:sl/sl_sunlight
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_sunlight

#sl_water - Detect if under water
execute as @e[tag=cursed_sl] at @s run function cursedp:sl/sl_water
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_water

#sl_sun - Detects the sun
execute as @e[tag=cursed_sl] run function cursedp:sl/sl_sun
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_sun

#sl_rain - Detects the rain
execute as @e[tag=cursed_sl] if predicate lorep:rain run scoreboard players set @s sl_rain 1
execute as @e[tag=cursed_sl] unless predicate lorep:rain run scoreboard players set @s sl_rain 0

#sl_thunder - Detects the thunder
execute as @e[tag=cursed_sl] if predicate lorep:thunder run scoreboard players set @s sl_thunder 1
execute as @e[tag=cursed_sl] unless predicate lorep:thunder run scoreboard players set @s sl_thunder 0

#sl_helmet - Check if wearing helmet
execute as @e[tag=cursed_sl,type=!player] run data remove entity @s ArmorItems[3].tag.head
execute as @e[tag=cursed_sl,type=!player] run data modify entity @s ArmorItems[3].tag.head set from entity @s ArmorItems[3]
execute as @e[tag=cursed_sl,type=!player] unless entity @s[nbt={ArmorItems:[{tag:{head:{Count:1b}}}]}] run scoreboard players set @s sl_helmet 0
execute as @e[tag=cursed_sl,type=!player] if entity @s[nbt={ArmorItems:[{tag:{head:{Count:1b}}}]}] run scoreboard players set @s sl_helmet 1
#(players)
execute as @a[tag=cursed_sl] unless entity @s[nbt={Inventory:[{Slot:103b,Count:1b}]}] run scoreboard players set @s sl_helmet 0
execute as @a[tag=cursed_sl] if entity @s[nbt={Inventory:[{Slot:103b,Count:1b}]}] run scoreboard players set @s sl_helmet 1
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_helmet

#sl_dimension - Checks the dimension
execute in minecraft:the_nether as @e[tag=cursed_sl,distance=0..] run scoreboard players set @s sl_dimension -1
execute in minecraft:overworld as @e[tag=cursed_sl,distance=0..] run scoreboard players set @s sl_dimension 0
execute in minecraft:the_end as @e[tag=cursed_sl,distance=0..] run scoreboard players set @s sl_dimension 1
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_dimension

#sl_burn - Burn or not burn
execute as @e[tag=cursed_sl] unless entity @s[scores={sl_sunlight=1,sl_water=0,sl_sun=1,sl_helmet=0,sl_dimension=0,sl_thunder=0,sl_rain=0}] run scoreboard players set @s sl_burn 0
execute as @e[tag=cursed_sl] if entity @s[scores={sl_sunlight=1,sl_water=0,sl_sun=1,sl_helmet=0,sl_dimension=0,sl_thunder=0,sl_rain=0}] run scoreboard players set @s sl_burn 1
execute as @e[tag=!cursed_sl] run scoreboard players reset @s sl_burn
#(entities)
execute as @e[tag=cursed_sl,type=!player,scores={sl_burn=1}] run data merge entity @s {Fire:40s}
#(players)
execute as @a[tag=cursed_sl,scores={sl_burn=1}] at @s run effect give @s[nbt={ActiveEffects:[{Id:20b,Amplifier:2b,Duration:20}]}] wither 2 2 true
execute as @a[tag=cursed_sl,scores={sl_burn=1}] at @s run effect give @s[nbt=!{ActiveEffects:[{Id:20b,Amplifier:2b}]}] wither 2 2 true