#[PHOTOSYNTHESIS]

#pt_death - Remove effect upon death
execute as @a[scores={pt_death=1..}] run scoreboard players reset @s pt_duration
execute as @a[scores={pt_death=1..}] run scoreboard players reset @s pt_death

#milk_bucket - Remove effect upon drinking milk
execute as @a[scores={pt_useMilk=1..}] run scoreboard players reset @s pt_duration
execute as @a[scores={pt_useMilk=1..}] run scoreboard players reset @s pt_useMilk

#pt_splash - Spash potion
execute as @e[nbt={Item:{tag:{splash_pt:lore}},OnGround:1b}] at @s run function lorep:pt/pt_splash

#pt_drink - Drink potion (1.16 update #1 - switched the 2nd group and 3rd group. it solved the offhand/mainhand potion problem. didnt bother to know why tho)
scoreboard players set @a holdPT3 0
scoreboard players set @a holdPT5 0
#
execute as @a[tag=holdPT3,scores={pt_usePotion=1}] unless entity @s[scores={pt_duration=3600..}] run scoreboard players set @s pt_duration 3600
execute as @a[tag=holdPT5,scores={pt_usePotion=1}] unless entity @s[scores={pt_duration=6000..}] run scoreboard players set @s pt_duration 6000
execute as @e if entity @s[scores={pt_duration=1..}] run tag @s add lore_pt
execute as @e if entity @s[scores={pt_duration=1..}] run scoreboard players remove @s pt_duration 1
execute as @e unless entity @s[scores={pt_duration=1..}] run tag @s remove lore_pt
execute as @e unless entity @s[scores={pt_duration=1..}] run scoreboard players reset @s pt_duration
#
execute as @a if entity @s[nbt={SelectedItem:{tag:{pt:lore,pt_dur:3}}}] run scoreboard players set @s holdPT3 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{pt:lore,pt_dur:3}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdPT3 1
execute as @a if entity @s[nbt={SelectedItem:{tag:{pt:lore,pt_dur:5}}}] run scoreboard players set @s holdPT5 1
execute as @a if entity @s[nbt={Inventory:[{Slot:-106b,tag:{pt:lore,pt_dur:5}}]}] unless entity @s[nbt={SelectedItem:{id:"minecraft:potion"}}] run scoreboard players set @s holdPT5 1
execute as @a[scores={holdPT3=1..}] run tag @s add holdPT3
execute as @a[scores={holdPT5=1..}] run tag @s add holdPT5
#
execute as @a[scores={holdPT3=0}] run tag @s remove holdPT3
execute as @a[scores={holdPT5=0}] run tag @s remove holdPT5
execute as @a[scores={pt_usePotion=1..}] run scoreboard players reset @s pt_usePotion

#pt_sunlight - Detect if under the sunlight
execute as @e[tag=lore_pt] at @s run function lorep:pt/pt_sunlight
execute as @e[tag=!lore_pt] run scoreboard players reset @s pt_sunlight

#pt_water - Detect if under water
execute as @e[tag=lore_pt] at @s run function lorep:pt/pt_water
execute as @e[tag=!lore_pt] run scoreboard players reset @s pt_water

#pt_sun - Detects the sun
execute as @e[tag=lore_pt] run function lorep:pt/pt_sun
execute as @e[tag=!lore_pt] run scoreboard players reset @s pt_sun

#pt_rain - Detects the rain
execute as @e[tag=lore_pt] if predicate lorep:rain run scoreboard players set @s pt_rain 1
execute as @e[tag=lore_pt] unless predicate lorep:rain run scoreboard players set @s pt_rain 0

#pt_thunder - Detects the thunder
execute as @e[tag=lore_pt] if predicate lorep:thunder run scoreboard players set @s pt_thunder 1
execute as @e[tag=lore_pt] unless predicate lorep:thunder run scoreboard players set @s pt_thunder 0

#pt_dimension - Checks the dimension
execute in minecraft:the_nether as @e[tag=lore_pt,distance=0..] run scoreboard players set @s pt_dimension -1
execute in minecraft:overworld as @e[tag=lore_pt,distance=0..] run scoreboard players set @s pt_dimension 0
execute in minecraft:the_end as @e[tag=lore_pt,distance=0..] run scoreboard players set @s pt_dimension 1
execute as @e[tag=!lore_pt] run scoreboard players reset @s pt_dimension

#pt_process - Start photosynthesis or not
execute as @e[tag=lore_pt] unless entity @s[scores={pt_sunlight=1,pt_water=1,pt_sun=1,pt_dimension=0,pt_thunder=0,pt_rain=0}] run scoreboard players set @s pt_process 0
execute as @e[tag=lore_pt] if entity @s[scores={pt_sunlight=1,pt_water=1,pt_sun=1,pt_dimension=0,pt_thunder=0,pt_rain=0}] run scoreboard players set @s pt_process 1
execute as @e[tag=!lore_pt] run scoreboard players reset @s pt_process
#
execute as @a[tag=lore_pt,scores={pt_process=0}] run scoreboard players reset @s pt_satur
execute as @a[tag=lore_pt,scores={pt_process=1}] run scoreboard players add @s[nbt=!{foodLevel:20}] pt_satur 1
execute as @a[tag=lore_pt,scores={pt_process=1,pt_satur=20}] run effect give @s[nbt=!{foodLevel:20}] saturation 1 0 true
execute as @a[tag=lore_pt,scores={pt_process=1,pt_satur=20..}] run scoreboard players reset @s pt_satur
execute as @e[tag=lore_pt,scores={pt_process=1}] run effect give @s[nbt={ActiveEffects:[{Id:13b,Amplifier:0b,Duration:20}]}] water_breathing 5 0 true
execute as @e[tag=lore_pt,scores={pt_process=1}] run effect give @s[nbt=!{ActiveEffects:[{Id:13b,Amplifier:0b}]}] water_breathing 5 0 true